Subject: Re: bug#59532: 28.2; Unable to build emacs with tree-sitter installed

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Nov 2022 12:58:28 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 24 Nov 2022 10:47:08 +0000
> 
> > Then I think you need to tweak tree-sitter's Makefile, or use "make install
> > PREFIX=/SOME/DIRECTORY", to install the shared libraries and header files
> > where the rest of them are installed on your system.  In any case, so that
> > the shared libraries end up in a directory that the dynamic linker scans for
> > shared libraries on your system.
> 
> Yes, of course I can do that but it seems weird that ./configure locate
> these files and make doesn't, isn't it?

The configure script doesn't run any programs, it only tries to compile and
link them.  By contrast, the build process does run Emacs, and that requires
to find the library (if the Lisp code processed by temacs needs to call the
library).